cdac.medinfo.ccd.datatype

## Class CR

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.CR

- All Implemented Interfaces:
    java.io.Serializable

      public class CR
      extends ANY

  A concept qualifier code with optionally named role. Both qualifier role and value codes must be defined by the coding system. For example, if SNOMED RT defines a concept "leg", a role relation "has-laterality", and another concept "left", the concept role relation allows to add the qualifier "has-laterality: left" to a primary code "leg" to construct the meaning "left leg".

  Java class for CR complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CR">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <element name="name" type="{urn:hl7-org:v3}CV" minOccurs="0"/>
               <element name="value" type="{urn:hl7-org:v3}CD" minOccurs="0"/>
             </sequence>
             <attribute name="inverted" type="{urn:hl7-org:v3}bn" default="false" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CR()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CV` | `getName()` Gets the value of the name property.
    `CD` | `getValue()` Gets the value of the value property.
    `boolean` | `isInverted()` Gets the value of the inverted property.
    `void` | `setInverted(java.lang.Boolean value)` Sets the value of the inverted property.
    `void` | `setName(CV value)` Sets the value of the name property.
    `void` | `setValue(CD value)` Sets the value of the value property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CR

          public CR()

  - ### Method Detail

    - #### getName

          public CV getName()

      Gets the value of the name property.
      Returns:
        possible object is `CV`

    - #### setName

          public void setName(CV value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `CV`

    - #### getValue

          public CD getValue()

      Gets the value of the value property.
      Returns:
        possible object is `CD`

    - #### setValue

          public void setValue(CD value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `CD`

    - #### isInverted

          public boolean isInverted()

      Gets the value of the inverted property.
      Returns:
        possible object is `Boolean`

    - #### setInverted

          public void setInverted(java.lang.Boolean value)

      Sets the value of the inverted property.
      Parameters:
        `value` - allowed object is `Boolean`